# SignList Struct Reference

Inheritance diagram for SignList:

## Public Types
typedef GUIList< const Sign *, FilterInfo > | GUISignList
| A GUIList contains signs and uses a custom data structure called FilterInfo for passing data to the sort functions.
## Public Member Functions
| SignList ()
| Creates a SignList with filtering disabled by default.
void | BuildSignsList ()
void | SortSignsList ()
void | FilterSignList ()
| Filter out signs from the sign list that does not match the name filter.
## Static Public Member Functions
static int CDECL | SignNameSorter (const Sign *const *a, const Sign *const *b)
| Sort signs by their name.
static bool CDECL | SignNameFilter (const Sign *const *a, FilterInfo filter_info)
| Filter sign list by sign name (case sensitive setting in FilterInfo).
## Data Fields
GUISignList | signs
char | filter_string [MAX_LENGTH_SIGN_NAME_CHARS *MAX_CHAR_LENGTH]
| The match string to be used when the GUIList is (re)-sorted.
## Static Public Attributes
static const Sign * | last_sign = NULL
static bool | match_case = false
| Should case sensitive matching be used?

## Detailed Description

Definition at line 43 of file signs_gui.cpp.

The documentation for this struct was generated from the following file:

- src/signs_gui.cpp